API ReferenceS-CWT Apple Pass templates
Retrieve an Apple Pass template
GET
/v2/credentials/compact-semantic/digital-pass/apple/templates/{id}Retrieves an existing Apple Pass template by providing its ID.
Roles
adminissuermanaged-issuer
Analytics Events
CREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_TEMPLATE_RETRIEVE_STARTCREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_TEMPLATE_RETRIEVE_SUCCESSCREDENTIAL_COMPACT_SEMANTIC_APPLE_PASS_TEMPLATE_RETRIEVE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Apple Pass template ID
Format
uuidid*string
Template ID
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/compact-semantic/digital-pass/apple/templates/string"{ "id": "string", "passType": "apple", "name": "string", "metadata": { "fileName": "string", "teamIdentifier": "string", "passTypeIdentifier": "string" }}How would you rate this page?
Retrieve all Apple Pass templates GET
Retrieves a list of all Apple Pass template available on the tenant.
Update an Apple Pass template PUT
Updates an existing Apple Pass template by providing its ID and a `.zip` file. Refer to our [Design an Apple Pass template](https://learn.mattr.global/docs/issuance/cwt-credential-templates/apple-templates) guide for more information on how to design the template and how to structure the `.zip` file.